#!/bin/sh

BNAME=${0##*/}

archive="settings.zip"
workdir=${archive%%.*}

cleanup() {
	rm -rf /tmp/$workdir /tmp/$archive
}

cleanup

cd /tmp && wget -q http://WEBSPACE-ADRESSE-ODER-DROPBOX/$archive

if [ -e $archive ]; then
	mkdir $workdir
	cd $workdir
	unzip /tmp/$archive >/dev/null

	if [ -e info.txt ]; then
		msgbox msg=/tmp/$workdir/info.txt title="Info zum Sender-Update" >/dev/null
		fi

		if [ -e updates ]; then
		test -e updates && chmod 755 updates && ./updates
		
		else
		 	cp -f bouquets.xml /var/tuxbox/config/zapit
    	cp -f services.xml /var/tuxbox/config/zapit
    	cp -f ubouquets.xml /var/tuxbox/config/zapit
   	sleep 2
  		/bin/pzapit -c >/dev/null
  	fi
  	echo "$BNAME: Settings-Update erfolgreich installiert"
	else
  	echo "$BNAME: Fehler beim Download von $archive"
fi

cleanup

  